## psi-plus 0.15.5338

=== debian/changelog ===
psi-plus (0.15.5338-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright was updated: updated years.
  * Used hardening flags in compiler options:
    - added file debian/patches/add-hardening-flags-in-compiler-options
    - updated debian/rules

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 22 Jun 2012 00:00:09 +0300

psi-plus (0.15.5333-1) unstable; urgency=low

  * New upstream release.
  * debian/rules was updated: fixed FTBFS with new build-arch handling
    (Closes: #673340)

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 18 May 2012 21:40:24 +0300

psi-plus (0.15.5329-1) unstable; urgency=low

  * New upstream release.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 06 May 2012 17:58:19 +0300

psi-plus (0.15.5271-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.3.
  * Package psi-plus-content-download was renamed to
    psi-plus-content-downloader.
  * Russian translation was moved to separate source package
    psi-plus-i18n.
  * Sound files were moved to separate package psi-plus-sounds.
  * Changed tarball compression format: LZMA2 is used now.
  * debian/control was updated:
    - added string `DM-Upload-Allowed: yes'
    - added build dependencies: libotr2-dev and libtidy-dev
    - removed build dependency on quilt
      (it is not used in debian/rules anymore)
    - updated short and detail descriptions of packages
  * debian/rules was updated:
    - added additional section get-orig-source
    - built all plugins from unix sub-directory
      (only general plugins were built before)
  * debian/watch was updated: new location of sources
  * debian/psi-plus-webkit.desktop was updated:
    added entry StartupWMClass (LP: #894585).
  * debian/copyright was updated.
  * Upstream fixed wrong location of icons and similar data files in
    content-downloader plugin (Closes: #665649).

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 27 Mar 2012 23:39:03 +0300

=== debian/control ===
Source: psi-plus
Section: net
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7.0.50~),
 libqtwebkit-dev , qconf, libqca2-dev (>= 2.0.0),
 libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev,
 libotr2-dev, libtidy-dev
Homepage: http://psi-dev.googlecode.com/
Vcs-Git: git://github.com/tehnick/psi-plus-debian.git
Vcs-Browser: https://github.com/tehnick/psi-plus-debian
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: psi-plus
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 psi-plus-common (= ${source:Version})
Description: Qt-based XMPP/Jabber client (basic version)
 This package contains basic version of Psi+.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 psi-plus (=${binary:Version})
Description: Qt-based XMPP/Jabber client (basic version) [debug symbols]
 This package contains the debugging symbols for basic version of Psi+.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-webkit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 psi-plus-common (= ${source:Version})
Description: Qt-based XMPP/Jabber client (WebKit version)
 This package contains WebKit version of Psi+.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-webkit-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 psi-plus-webkit (=${binary:Version})
Description: Qt-based XMPP/Jabber client (WebKit version) [debug symbols]
 This package contains the debugging symbols for WebKit version of Psi+.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-common
Architecture: all
Recommends: sox,
 libqca2-plugin-ossl,
 psi-plus-plugins,
 psi-plus-sounds,
 psi-plus-skins,
 psi-plus-i18n
Depends: ${misc:Depends}
Suggests: libqca2-plugin-gnupg, xdg-utils
Replaces: psi, psi-plus (<< 0.15~svn3057)
Breaks: psi-plus (<< 0.15~svn3057)
Description: common files for Psi+
 This package contains common files for Psi+.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 psi-plus-common (= ${source:Version})
Description: plugins for Psi+
 This package contains plugins for Psi+.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-plugins-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 psi-plus-plugins (=${binary:Version})
Description: plugins for Psi+ [debug symbols]
 This package contains the debugging symbols for Psi+ plugins.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-content-downloader
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 psi-plus-common
Replaces: psi-plus-plugins (<< 0.15~svn3047), psi-plus-content-download
Breaks: psi-plus-plugins (<< 0.15~svn3047)
Conflicts: psi-plus-content-download
Description: content downloader plugin for Psi+
 This package contains special plugin for Psi+ which allows you download
 some content (like non-free icons) from official Psi+ site. And you don't need
 this package if psi-plus-icons package is installed in your system.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-skins
Architecture: all
Depends: ${misc:Depends},
 psi-plus-common,
 psi-plus-plugins
Replaces: psi-plus-plugins (<< 0.15~svn3047)
Breaks: psi-plus-plugins (<< 0.15~svn3047)
Description: skins for Psi+
 This package contains skins for Psi+.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

Package: psi-plus-sounds
Architecture: all
Depends: ${misc:Depends},
 psi-plus-common
Breaks: psi-plus-common (<< 0.15~svn3910)
Description: sound files for Psi+
 This package contains sound files for Psi+.
 .
 Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
 Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
 by <psi-dev@conference.jabber.ru> team.
 .
 Project Purpose: collection, refinement and writing new patches for transfer
 them to Psi upstream developers.
 .
 Full list of features you can found at:
 http://psi-plus.com/wiki/doku.php/en:features

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(NUMJOBS))
	NUMJOBS = 1
endif

Q_CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
Q_CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(Q_CPPFLAGS)
Q_CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(Q_CPPFLAGS)
Q_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export Q_CPPFLAGS Q_CFLAGS Q_CXXFLAGS Q_LDFLAGS

Q_OPTS = "QMAKE_CXXFLAGS += $(Q_CXXFLAGS)" \
         "QMAKE_CFLAGS_DEBUG += $(Q_CFLAGS)" \
         "QMAKE_CFLAGS_RELEASE += $(Q_CFLAGS)" \
         "QMAKE_LFLAGS += $(Q_LDFLAGS)"

PACKAGE = psi-plus
DEVELOPER = tehnick
PROJECT = psi-plus

CUR_VER = $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

QMAKE=qmake-qt4
QCONF=qt-qconf
CONF=--enable-plugins --enable-whiteboarding --disable-bundled-qca --debug --no-separate-debug-info

# Selecting all plugins
plugins_generic = $(notdir $(wildcard $(CURDIR)/src/plugins/generic/*plugin ) )
plugins_unix = $(notdir $(wildcard $(CURDIR)/src/plugins/unix/*plugin ) )

%:
	dh $@ --parallel

override_dh_auto_configure:
	$(QCONF)
	./configure --prefix=/usr $(CONF)

override_dh_auto_build:
	$(MAKE) -j$(NUMJOBS)
	$(foreach plug,$(plugins_generic), cd $(CURDIR)/src/plugins/generic/$(plug) && $(QMAKE) $(Q_OPTS) && $(MAKE) -j$(NUMJOBS); )
	$(foreach plug,$(plugins_unix), cd $(CURDIR)/src/plugins/unix/$(plug) && $(QMAKE) $(Q_OPTS) && $(MAKE) -j$(NUMJOBS); )

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/psi-plus install
	rm -f $(CURDIR)/debian/psi-plus/usr/bin/psi-plus.debug # Removing static debug file
	# Making the same, but using webkit
	$(MAKE) clean
	./configure --prefix=/usr $(CONF) --enable-webkit
	$(MAKE) -j$(NUMJOBS)
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/psi-plus-webkit install
	rm $(CURDIR)/debian/psi-plus-webkit/usr/bin/psi-plus
	rm $(CURDIR)/debian/psi-plus-webkit/usr/share/applications/psi-plus.desktop
	cp $(CURDIR)/src/psi-plus $(CURDIR)/debian/psi-plus-webkit/usr/bin/psi-plus-webkit
	cp $(CURDIR)/debian/psi-plus-webkit.desktop $(CURDIR)/debian/psi-plus-webkit/usr/share/applications/
	rm -f $(CURDIR)/debian/psi-plus-webkit/usr/bin/psi-plus.debug # Removing static debug file
	# Deleting temporary files
	rm -f $(CURDIR)/debian/psi-plus/usr/share/psi-plus/COPYING
	rm -f $(CURDIR)/debian/psi-plus-webkit/usr/share/psi-plus/COPYING

override_dh_install:
	dh_install
	# Deleting exported plugins
	rm -f $(CURDIR)/debian/psi-plus-plugins/usr/lib/psi-plus/plugins/libcontentdownloaderplugin.so
	# Exporting all from psi-plus-common
	./debian/mergedups.sh
	# Deleting extra copy of sound files
	rm -rf $(CURDIR)/debian/psi-plus-common/usr/share/psi-plus/sound/

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess configure

	rm -f psi-plus src/psi-plus src/config.h
	rm -f Makefile src/Makefile libpsi/psiwidgets/Makefile
	rm -f conf.pri extra.pri conf.log
	rm -f src/.qmake.internal.cache

	rm -rf iris/lib iris/conf.pri
	rm -rf .qconftemp

	$(foreach plug,$(plugins_generic), cd $(CURDIR)/src/plugins/generic/$(plug) && [ ! -f Makefile ] || $(MAKE) distclean; )
	$(foreach plug,$(plugins_unix), cd $(CURDIR)/src/plugins/unix/$(plug) && [ ! -f Makefile ] || $(MAKE) distclean; )

	rm -rf .pc_psi

override_dh_strip:
	dh_strip -ppsi-plus --dbg-package=psi-plus-dbg
	dh_strip -ppsi-plus-webkit --dbg-package=psi-plus-webkit-dbg
	dh_strip -ppsi-plus-plugins --dbg-package=psi-plus-plugins-dbg
	dh_strip --remaining-packages

get-orig-source:
	# preparation
	rm -rf "$(PACKAGE)-$(CUR_VER)" "$(CUR_VER)"
	# sources
	wget -4 "http://nodeload.github.com/$(DEVELOPER)/$(PROJECT)/tarball/$(CUR_VER)"
	rm -rf $(DEVELOPER)-$(PROJECT)-*
	tar xzf "$(CUR_VER)"
	mv $(DEVELOPER)-$(PROJECT)-* "$(PACKAGE)-$(CUR_VER)"
	# tarball
	tar -cJf ../"$(PACKAGE)_$(CUR_VER).orig.tar.xz" "$(PACKAGE)-$(CUR_VER)"
	# cleaning
	rm -rf "$(PACKAGE)-$(CUR_VER)" "$(CUR_VER)"

=== debian/watch ===
version=3
https://github.com/tehnick/psi-plus/tags .*/tehnick/psi-plus/tarball/(\d.+) debian uupdate

## psi-plus 0.16.78

=== debian/changelog ===
psi-plus (0.16.78-1) experimental; urgency=low

  * New upstream release.
  * Update years in debian/copyright.
  * Bump Standards-Version to 3.9.4 (was 3.9.3): no changes required.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 04 Feb 2013 00:43:25 +0200

psi-plus (0.16.37-1) experimental; urgency=low

  * New upstream release.
  * Update debian/watch: fix after recent changes in GitHub.
  * Update debian/rules:
    - fix get-orig-source section after recent changes in GitHub
    - correctly process errors during build of Psi+ plugins (Closes: #692328)

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 18 Nov 2012 23:41:08 +0200

psi-plus (0.16.19-1) experimental; urgency=low

  * New upstream release.
  * Recommend psi-plus-l10n instead of psi-plus-i18n.
  * Move recommendations and suggestions from package psi-plus-common to
    packages psi-plus and psi-plus-webkit.
  * Packages psi-plus-plugins, psi-plus-content-downloader, psi-plus-skins,
    psi-plus-sounds now depend from "psi-plus | psi-plus-webkit" instead of
    psi-plus-common.
  * Bumped debhelper version to 8 (was 7.0.50~); updated debian/compat.
  * Remove obsolete DM-Upload-Allowed flag.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 22 Oct 2012 23:38:36 +0300

psi-plus (0.15.5367-1) experimental; urgency=low

  * New upstream release.
  * Simplified debian/rules.
  * Updated years in debian/copyright.
  * Small fixes in debian/psi-plus-webkit.install and debian/psi-plus.install.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 24 Sep 2012 02:14:12 +0300

psi-plus (0.15.5350-1) experimental; urgency=low

  * New upstream release.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 28 Aug 2012 23:18:34 +0300

psi-plus (0.15.5347-1) experimental; urgency=low

  * New upstream release.
  * Updated debian/rules:
    - added small hack for adding special mark into version string of
      psi-plus-webkit program (needed after changes in upstream)
    - fixed build of psi-plus-webkit package (needed after changes in upstream)
  * Updated debian/patches/add-hardening-flags-in-compiler-options:
    file was changed in upstream.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 17 Aug 2012 23:15:03 +0300

psi-plus (0.15.5343-1) experimental; urgency=low

  * New upstream release.
  * Updated debian/rules:
    deleted configuration option --disable-bundled-qca.
  * Updated debian/copyright:
    third-party/* subdirectories and files were removed from source tree in
    upstream, so the list of copyright holders was reduced.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 11 Aug 2012 00:34:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,25 @@
 Section: net
 Priority: optional
 Maintainer: Boris Pek <tehnick-8@mail.ru>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8),
  libqtwebkit-dev , qconf, libqca2-dev (>= 2.0.0),
  libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev,
  libotr2-dev, libtidy-dev
 Homepage: http://psi-dev.googlecode.com/
 Vcs-Git: git://github.com/tehnick/psi-plus-debian.git
 Vcs-Browser: https://github.com/tehnick/psi-plus-debian
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 
 Package: psi-plus
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  psi-plus-common (= ${source:Version})
+Recommends: sox,
+ libqca2-plugin-ossl,
+ psi-plus-plugins,
+ psi-plus-sounds,
+ psi-plus-l10n
+Suggests: libqca2-plugin-gnupg, xdg-utils
 Description: Qt-based XMPP/Jabber client (basic version)
  This package contains basic version of Psi+.
  .
@@ -52,48 +57,48 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  psi-plus-common (= ${source:Version})
-Description: Qt-based XMPP/Jabber client (WebKit version)
- This package contains WebKit version of Psi+.
- .
- Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
- Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
- by <psi-dev@conference.jabber.ru> team.
- .
- Project Purpose: collection, refinement and writing new patches for transfer
- them to Psi upstream developers.
- .
- Full list of features you can found at:
- http://psi-plus.com/wiki/doku.php/en:features
-
-Package: psi-plus-webkit-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
- psi-plus-webkit (=${binary:Version})
-Description: Qt-based XMPP/Jabber client (WebKit version) [debug symbols]
- This package contains the debugging symbols for WebKit version of Psi+.
- .
- Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
- Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
- by <psi-dev@conference.jabber.ru> team.
- .
- Project Purpose: collection, refinement and writing new patches for transfer
- them to Psi upstream developers.
- .
- Full list of features you can found at:
- http://psi-plus.com/wiki/doku.php/en:features
-
-Package: psi-plus-common
-Architecture: all
 Recommends: sox,
  libqca2-plugin-ossl,
  psi-plus-plugins,
  psi-plus-sounds,
  psi-plus-skins,
- psi-plus-i18n
+ psi-plus-l10n
+Suggests: libqca2-plugin-gnupg, xdg-utils
+Description: Qt-based XMPP/Jabber client (WebKit version)
+ This package contains WebKit version of Psi+.
+ .
+ Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
+ Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
+ by <psi-dev@conference.jabber.ru> team.
+ .
+ Project Purpose: collection, refinement and writing new patches for transfer
+ them to Psi upstream developers.
+ .
+ Full list of features you can found at:
+ http://psi-plus.com/wiki/doku.php/en:features
+
+Package: psi-plus-webkit-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends},
+ psi-plus-webkit (=${binary:Version})
+Description: Qt-based XMPP/Jabber client (WebKit version) [debug symbols]
+ This package contains the debugging symbols for WebKit version of Psi+.
+ .
+ Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
+ Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
+ by <psi-dev@conference.jabber.ru> team.
+ .
+ Project Purpose: collection, refinement and writing new patches for transfer
+ them to Psi upstream developers.
+ .
+ Full list of features you can found at:
+ http://psi-plus.com/wiki/doku.php/en:features
+
+Package: psi-plus-common
+Architecture: all
 Depends: ${misc:Depends}
-Suggests: libqca2-plugin-gnupg, xdg-utils
 Replaces: psi, psi-plus (<< 0.15~svn3057)
 Breaks: psi-plus (<< 0.15~svn3057)
 Description: common files for Psi+
@@ -112,7 +117,7 @@
 Package: psi-plus-plugins
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- psi-plus-common (= ${source:Version})
+ psi-plus (=${binary:Version}) | psi-plus-webkit (=${binary:Version})
 Description: plugins for Psi+
  This package contains plugins for Psi+.
  .
@@ -148,10 +153,11 @@
 Package: psi-plus-content-downloader
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- psi-plus-common
+ psi-plus (=${binary:Version}) | psi-plus-webkit (=${binary:Version})
 Replaces: psi-plus-plugins (<< 0.15~svn3047), psi-plus-content-download
 Breaks: psi-plus-plugins (<< 0.15~svn3047)
 Conflicts: psi-plus-content-download
+Provides: psi-plus-content-download
 Description: content downloader plugin for Psi+
  This package contains special plugin for Psi+ which allows you download
  some content (like non-free icons) from official Psi+ site. And you don't need
@@ -170,7 +176,7 @@
 Package: psi-plus-skins
 Architecture: all
 Depends: ${misc:Depends},
- psi-plus-common,
+ psi-plus | psi-plus-webkit,
  psi-plus-plugins
 Replaces: psi-plus-plugins (<< 0.15~svn3047)
 Breaks: psi-plus-plugins (<< 0.15~svn3047)
@@ -190,7 +196,7 @@
 Package: psi-plus-sounds
 Architecture: all
 Depends: ${misc:Depends},
- psi-plus-common
+ psi-plus | psi-plus-webkit
 Breaks: psi-plus-common (<< 0.15~svn3910)
 Description: sound files for Psi+
  This package contains sound files for Psi+.

=== debian/rules ===
#!/usr/bin/make -f

Q_CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
Q_CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(Q_CPPFLAGS)
Q_CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(Q_CPPFLAGS)
Q_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export Q_CPPFLAGS Q_CFLAGS Q_CXXFLAGS Q_LDFLAGS

Q_OPTS = "QMAKE_CXXFLAGS += $(Q_CXXFLAGS)" \
         "QMAKE_CFLAGS_DEBUG += $(Q_CFLAGS)" \
         "QMAKE_CFLAGS_RELEASE += $(Q_CFLAGS)" \
         "QMAKE_LFLAGS += $(Q_LDFLAGS)"

PACKAGE = psi-plus
DEVELOPER = tehnick
PROJECT = psi-plus

CUR_VER = $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

QMAKE=qmake-qt4
QCONF=qt-qconf
CONF=--enable-plugins --enable-whiteboarding --debug --no-separate-debug-info

# Selecting all plugins
plugins_generic = $(notdir $(wildcard $(CURDIR)/src/plugins/generic/*plugin ) )
plugins_unix = $(notdir $(wildcard $(CURDIR)/src/plugins/unix/*plugin ) )

%:
	dh $@ --parallel

override_dh_auto_configure:
	$(QCONF)
	./configure --prefix=/usr $(CONF)

override_dh_auto_build:
	dh_auto_build
	$(foreach plug,$(plugins_generic), cd $(CURDIR)/src/plugins/generic/$(plug) && $(QMAKE) $(Q_OPTS) && $(MAKE) || exit 1; )
	$(foreach plug,$(plugins_unix), cd $(CURDIR)/src/plugins/unix/$(plug) && $(QMAKE) $(Q_OPTS) && $(MAKE) || exit 1; )

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/psi-plus install
	# Making the same, but using webkit
	$(MAKE) clean
	sed -i 's| (|-webkit (|' version
	./configure --prefix=/usr $(CONF) --enable-webkit
	dh_auto_build
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/psi-plus-webkit install
	sed -i 's|-webkit||' version
	rm $(CURDIR)/debian/psi-plus-webkit/usr/bin/psi-plus
	rm $(CURDIR)/debian/psi-plus-webkit/usr/share/applications/psi-plus.desktop
	cp $(CURDIR)/psi-plus $(CURDIR)/debian/psi-plus-webkit/usr/bin/psi-plus-webkit
	cp $(CURDIR)/debian/psi-plus-webkit.desktop $(CURDIR)/debian/psi-plus-webkit/usr/share/applications/
	# Deleting temporary files
	rm $(CURDIR)/debian/psi-plus/usr/share/psi-plus/COPYING
	rm $(CURDIR)/debian/psi-plus-webkit/usr/share/psi-plus/COPYING

override_dh_install:
	dh_install
	# Deleting exported plugins
	rm $(CURDIR)/debian/psi-plus-plugins/usr/lib/psi-plus/plugins/libcontentdownloaderplugin.so
	# Exporting all from psi-plus-common
	./debian/mergedups.sh
	# Deleting extra copy of sound files
	rm -r $(CURDIR)/debian/psi-plus-common/usr/share/psi-plus/sound/

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess configure

	rm -f psi-plus src/psi-plus src/config.h
	rm -f Makefile src/Makefile libpsi/psiwidgets/Makefile
	rm -f conf.pri extra.pri conf.log
	rm -f src/.qmake.internal.cache

	rm -rf iris/lib iris/conf.pri
	rm -rf .qconftemp

	$(foreach plug,$(plugins_generic), cd $(CURDIR)/src/plugins/generic/$(plug) && [ ! -f Makefile ] || $(MAKE) distclean; )
	$(foreach plug,$(plugins_unix), cd $(CURDIR)/src/plugins/unix/$(plug) && [ ! -f Makefile ] || $(MAKE) distclean; )

	rm -rf .pc_psi
	sed -i 's|-webkit||' version

override_dh_strip:
	dh_strip -ppsi-plus --dbg-package=psi-plus-dbg
	dh_strip -ppsi-plus-webkit --dbg-package=psi-plus-webkit-dbg
	dh_strip -ppsi-plus-plugins --dbg-package=psi-plus-plugins-dbg
	dh_strip --remaining-packages

get-orig-source:
	# preparation
	rm -rf "$(PACKAGE)-$(CUR_VER)" "$(CUR_VER)"
	# sources
	wget -4 "http://nodeload.github.com/$(DEVELOPER)/$(PROJECT)/tar.gz/$(CUR_VER)"
	rm -rf $(PROJECT)-*
	tar xzf "$(CUR_VER)"
	# tarball
	tar -cJf "$(PACKAGE)_$(CUR_VER).orig.tar.xz" "$(PACKAGE)-$(CUR_VER)"
	# cleaning
	rm -rf "$(PACKAGE)-$(CUR_VER)" "$(CUR_VER)"

## psi-plus 0.16.132

=== debian/changelog ===
psi-plus (0.16.132-1) unstable; urgency=low

  * New upstream release.
  * Fixed in upstream:
    added support of libotr >= 4.0.0. (Closes: #702359)
  * Change build dependency from libotr2-dev to libotr5-dev.
  * Update get-orig-source section in debian/rules.
  * Update debian/psi-plus-webkit.desktop.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 18 Jul 2013 00:28:09 +0300

psi-plus (0.16.117-1) unstable; urgency=low

  * New upstream release.
  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 12 May 2013 22:02:20 +0300

psi-plus (0.16.111.1-1) experimental; urgency=low

  * New upstream release.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 18 Apr 2013 22:12:52 +0300

psi-plus (0.16.105-1) experimental; urgency=low

  * New upstream release. (Closes: #702975)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 18 Mar 2013 01:36:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: psi-plus
 Section: net
 Priority: optional
-Maintainer: Boris Pek <tehnick-8@mail.ru>
+Maintainer: Boris Pek <tehnick@debian.org>
 Build-Depends: debhelper (>= 8),
  libqtwebkit-dev , qconf, libqca2-dev (>= 2.0.0),
  libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev,
- libotr2-dev, libtidy-dev
+ libotr5-dev, libtidy-dev
 Homepage: http://psi-dev.googlecode.com/
 Vcs-Git: git://github.com/tehnick/psi-plus-debian.git
 Vcs-Browser: https://github.com/tehnick/psi-plus-debian

=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,7 @@
 	# preparation
 	rm -rf "$(PACKAGE)-$(CUR_VER)" "$(CUR_VER)"
 	# sources
-	wget -4 "http://nodeload.github.com/$(DEVELOPER)/$(PROJECT)/tar.gz/$(CUR_VER)"
+	wget -4 "https://codeload.github.com/$(DEVELOPER)/$(PROJECT)/tar.gz/$(CUR_VER)"
 	rm -rf $(PROJECT)-*
 	tar xzf "$(CUR_VER)"
 	# tarball

=== debian/watch ===
version=3
https://github.com/tehnick/psi-plus/tags .*/tehnick/psi-plus/archive/(\d.+)\.tar\.gz debian uupdate

## psi-plus 0.16.268

=== admin/build/Makefile ===
# usage: make VERSION=1.2.3

UNAME := $(shell uname)

include package_info

ifeq ($(UNAME), Darwin)
PLATFORM = mac
all: default-mac
deps: deps-mac
else ifeq ($(UNAME), MINGW32_NT-6.1)
PLATFORM = win
all: default-mingw
deps: deps-mingw
else
all: default-unknown
deps: deps-unknown
endif

default-mac: dist-mac

default-mingw: dist-mingw

clean:
	rm -rf build out dist

distclean: clean
	rm -rf packages
ifeq ($(PLATFORM), mac)
	rm -f Psi-$(VERSION).dmg
else
	rm -f psi-$(VERSION)-win64.zip psi-$(VERSION)-win32.zip
endif

dist-mac: apply-version Psi-$(VERSION).dmg

dist-mingw: apply-version psi-$(VERSION)-win64.zip psi-$(VERSION)-win32.zip

deps-mac: packages/$(qca_mac_file) packages/$(growl_file) packages/$(gstbundle_mac_file) packages/$(psimedia_mac_file)

deps-mingw: packages/$(zlib_win_file) packages/$(qca_win_file) packages/$(openssl_win_file) packages/$(aspell_win_file) packages/$(gstbundle_win_file) packages/$(psimedia_win_file)

packages/$(zlib_win_file):
	mkdir -p packages deps
	../fetch.sh $(zlib_win_url) packages/$(zlib_win_file)
	cd deps && unzip ../packages/$(zlib_win_file) && cd ..

packages/$(qca_win_file):
	mkdir -p packages deps
	../fetch.sh $(qca_win_url) packages/$(qca_win_file)
	cd deps && unzip ../packages/$(qca_win_file) && cd ..

packages/$(openssl_win_file):
	mkdir -p packages deps
	../fetch.sh $(openssl_win_url) packages/$(openssl_win_file)
	cd deps && unzip ../packages/$(openssl_win_file) && cd ..

packages/$(aspell_win_file):
	mkdir -p packages deps
	../fetch.sh $(aspell_win_url) packages/$(aspell_win_file)
	cd deps && unzip ../packages/$(aspell_win_file) && cd ..

packages/$(gstbundle_win_file):
	mkdir -p packages deps
	../fetch.sh $(gstbundle_win_url) packages/$(gstbundle_win_file)
	cd deps && unzip ../packages/$(gstbundle_win_file) && cd ..

packages/$(psimedia_win_file):
	mkdir -p packages deps
	../fetch.sh $(psimedia_win_url) packages/$(psimedia_win_file)
	cd deps && unzip ../packages/$(psimedia_win_file) && cd ..

packages/$(qca_mac_file):
	mkdir -p packages deps
	../fetch.sh $(qca_mac_url) packages/$(qca_mac_file)
	cd deps && tar jxvf ../packages/$(qca_mac_file) && cd ..

packages/$(growl_file):
	mkdir -p packages deps
	../fetch.sh $(growl_url) packages/$(growl_file)
	cd deps && unzip ../packages/$(growl_file) && cd ..

packages/$(gstbundle_mac_file):
	mkdir -p packages deps
	../fetch.sh $(gstbundle_mac_url) packages/$(gstbundle_mac_file)
	cd deps && tar jxvf ../packages/$(gstbundle_mac_file) && cd ..

packages/$(psimedia_mac_file):
	mkdir -p packages deps
	../fetch.sh $(psimedia_mac_url) packages/$(psimedia_mac_file)
	cd deps && tar jxvf ../packages/$(psimedia_mac_file) && cd ..

apply-version:
	test "$(VERSION)" != "" && echo "$(VERSION)" > ../../version

build/uni/psi/ok: packages/$(qca_mac_file) packages/$(growl_file) packages/$(gstbundle_mac_file) packages/$(psimedia_mac_file)
	mkdir -p build
	./build_package.sh psi "" ""
	touch build/uni/psi/ok

build/i386/psi/ok: packages/$(zlib_win_file) packages/$(qca_win_file) packages/$(openssl_win_file) packages/$(aspell_win_file) packages/$(gstbundle_win_file) packages/$(psimedia_win_file)
	mkdir -p build
	./build_package.sh psi i386 $(PWD)/out
	touch build/i386/psi/ok

build/x86_64/psi/ok: packages/$(zlib_win_file) packages/$(qca_win_file) packages/$(openssl_win_file) packages/$(aspell_win_file) packages/$(gstbundle_win_file) packages/$(psimedia_win_file)
	mkdir -p build
	./build_package.sh psi x86_64 $(PWD)/out
	touch build/x86_64/psi/ok

dist/psi-$(VERSION)-mac: build/uni/psi/ok
	./prep_dist.sh "" dist/psi-$(VERSION)-mac

dist/psi-$(VERSION)-win64: build/x86_64/psi/ok
	./prep_dist.sh $(PWD)/out/x86_64 dist/psi-$(VERSION)-win64

dist/psi-$(VERSION)-win32: build/i386/psi/ok
	./prep_dist.sh $(PWD)/out/i386 dist/psi-$(VERSION)-win32

Psi-$(VERSION).dmg: dist/psi-$(VERSION)-mac
	./pack_dmg.sh Psi-$(VERSION).dmg Psi dist/psi-$(VERSION)-mac

psi-$(VERSION)-win64.zip: dist/psi-$(VERSION)-win64
	rm -f psi-$(VERSION)-win64.zip
	cd dist && zip -r ../psi-$(VERSION)-win64.zip psi-$(VERSION)-win64

psi-$(VERSION)-win32.zip: dist/psi-$(VERSION)-win32
	rm -f psi-$(VERSION)-win32.zip
	cd dist && zip -r ../psi-$(VERSION)-win32.zip psi-$(VERSION)-win32

=== debian/changelog ===
psi-plus (0.16.268-1) unstable; urgency=medium

  * New upstream release:
    fixed OTRv3 support in Psi+ OTR plugin. (Closes: #733319)
  * Update debian/copyright:
    - new copyright holder
    - update years

 -- Boris Pek <tehnick@debian.org>  Wed, 15 Jan 2014 21:44:37 +0400

psi-plus (0.16.262-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper version to 9 (was 8); update debian/compat.
  * Bump Standards-Version to 3.9.5 (was 3.9.4): no changes required.
  * Change build dependency from libotr5-dev to 'libotr5-dev | libotr2-dev'.
    (For simplifying backports.)
  * Simplify get-orig-source section in debian/rules.
  * Package psi-plus-plugins now replaces psi-plus-content-download.
    It does not affect users of Debian >= 7.0 (Wheezy), but it still may be
    useful for some users (see #731106 for example).

 -- Boris Pek <tehnick@debian.org>  Sun, 15 Dec 2013 11:57:50 +0400

psi-plus (0.16.242-1) unstable; urgency=low

  * New upstream release:
    fixed the problem of initialization of private conversation when both
    sides use libotr 4.0.x. (Closes: #724880)
  * Update debian/watch: sources were moved.
  * Delete psi-plus-content-downloader package and update all related files.
    This plugin is in psi-plus-plugins package now.
  * Update debian/control:
    - remove all currently unneeded Replaces and Breaks fields
    - add build dependency on libidn11-dev
  * Update debian/rules: simplify get-orig-source section.
  * Update debian/copyright:
    - update Source field due to changes in sources location
    - remove copyright holders whose code was deleted from source tree
      (bundled libidn library was removed)

 -- Boris Pek <tehnick@debian.org>  Wed, 23 Oct 2013 02:42:20 +0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
  libqtwebkit-dev , qconf, libqca2-dev (>= 2.0.0),
  libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev,
- libotr5-dev, libtidy-dev
+ libotr5-dev | libotr2-dev, libtidy-dev, libidn11-dev
 Homepage: http://psi-dev.googlecode.com/
 Vcs-Git: git://github.com/tehnick/psi-plus-debian.git
 Vcs-Browser: https://github.com/tehnick/psi-plus-debian
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: psi-plus
 Architecture: any
@@ -99,8 +99,6 @@
 Package: psi-plus-common
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: psi, psi-plus (<< 0.15~svn3057)
-Breaks: psi-plus (<< 0.15~svn3057)
 Description: common files for Psi+
  This package contains common files for Psi+.
  .
@@ -118,6 +116,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  psi-plus (=${binary:Version}) | psi-plus-webkit (=${binary:Version})
+Replaces: psi-plus-content-downloader, psi-plus-content-download
+Conflicts: psi-plus-content-downloader, psi-plus-content-download
 Description: plugins for Psi+
  This package contains plugins for Psi+.
  .
@@ -150,36 +150,11 @@
  Full list of features you can found at:
  http://psi-plus.com/wiki/doku.php/en:features
 
-Package: psi-plus-content-downloader
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
- psi-plus (=${binary:Version}) | psi-plus-webkit (=${binary:Version})
-Replaces: psi-plus-plugins (<< 0.15~svn3047), psi-plus-content-download
-Breaks: psi-plus-plugins (<< 0.15~svn3047)
-Conflicts: psi-plus-content-download
-Provides: psi-plus-content-download
-Description: content downloader plugin for Psi+
- This package contains special plugin for Psi+ which allows you download
- some content (like non-free icons) from official Psi+ site. And you don't need
- this package if psi-plus-icons package is installed in your system.
- .
- Psi is a cross-platform powerful XMPP/Jabber client (Qt, C++) designed for the
- Jabber power users. Psi+ is a development branch of Psi IM XMPP/Jabber client
- by <psi-dev@conference.jabber.ru> team.
- .
- Project Purpose: collection, refinement and writing new patches for transfer
- them to Psi upstream developers.
- .
- Full list of features you can found at:
- http://psi-plus.com/wiki/doku.php/en:features
-
 Package: psi-plus-skins
 Architecture: all
 Depends: ${misc:Depends},
  psi-plus | psi-plus-webkit,
  psi-plus-plugins
-Replaces: psi-plus-plugins (<< 0.15~svn3047)
-Breaks: psi-plus-plugins (<< 0.15~svn3047)
 Description: skins for Psi+
  This package contains skins for Psi+.
  .
@@ -197,7 +172,6 @@
 Architecture: all
 Depends: ${misc:Depends},
  psi-plus | psi-plus-webkit
-Breaks: psi-plus-common (<< 0.15~svn3910)
 Description: sound files for Psi+
  This package contains sound files for Psi+.
  .

=== debian/watch ===
version=3
https://github.com/psi-plus/psi-plus-snapshots/tags .*/psi-plus/psi-plus-snapshots/archive/(\d.+)\.tar\.gz debian uupdate

## psi-plus 0.16.330

=== debian/changelog ===
psi-plus (0.16.330-1build3) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:32:26 +0000

psi-plus (0.16.330-1build2) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 21:13:46 +0000

psi-plus (0.16.330-1build1) vivid; urgency=medium

  * No-change rebuild for the libgcrypt20 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Mar 2015 06:17:34 -0600

psi-plus (0.16.330-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control using wrap-and-sort tool.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sat, 05 Apr 2014 21:35:45 +0400

psi-plus (0.16.285-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/psi-plus-plugins.install: install all compiled plugins.

 -- Boris Pek <tehnick@debian.org>  Sun, 09 Feb 2014 14:08:58 +0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,19 @@
 Source: psi-plus
 Section: net
 Priority: optional
-Maintainer: Boris Pek <tehnick@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boris Pek <tehnick@debian.org>
 Build-Depends: debhelper (>= 9),
- libqtwebkit-dev , qconf, libqca2-dev (>= 2.0.0),
- libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev,
- libotr5-dev | libotr2-dev, libtidy-dev, libidn11-dev
+               libaspell-dev,
+               libidn11-dev,
+               libotr5-dev | libotr2-dev,
+               libqca2-dev,
+               libqtwebkit-dev,
+               libsm-dev,
+               libtidy-dev,
+               libxss-dev,
+               qconf,
+               zlib1g-dev
 Homepage: http://psi-dev.googlecode.com/
 Vcs-Git: git://github.com/tehnick/psi-plus-debian.git
 Vcs-Browser: https://github.com/tehnick/psi-plus-debian
@@ -13,13 +21,14 @@
 
 Package: psi-plus
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
- psi-plus-common (= ${source:Version})
-Recommends: sox,
- libqca2-plugin-ossl,
- psi-plus-plugins,
- psi-plus-sounds,
- psi-plus-l10n
+Depends: psi-plus-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: libqca2-plugin-ossl,
+            psi-plus-l10n,
+            psi-plus-plugins,
+            psi-plus-sounds,
+            sox
 Suggests: libqca2-plugin-gnupg, xdg-utils
 Description: Qt-based XMPP/Jabber client (basic version)
  This package contains basic version of Psi+.
@@ -38,8 +47,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends},
- psi-plus (=${binary:Version})
+Depends: psi-plus (=${binary:Version}), ${misc:Depends}
 Description: Qt-based XMPP/Jabber client (basic version) [debug symbols]
  This package contains the debugging symbols for basic version of Psi+.
  .
@@ -55,14 +63,15 @@
 
 Package: psi-plus-webkit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
- psi-plus-common (= ${source:Version})
-Recommends: sox,
- libqca2-plugin-ossl,
- psi-plus-plugins,
- psi-plus-sounds,
- psi-plus-skins,
- psi-plus-l10n
+Depends: psi-plus-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: libqca2-plugin-ossl,
+            psi-plus-l10n,
+            psi-plus-plugins,
+            psi-plus-skins,
+            psi-plus-sounds,
+            sox
 Suggests: libqca2-plugin-gnupg, xdg-utils
 Description: Qt-based XMPP/Jabber client (WebKit version)
  This package contains WebKit version of Psi+.
@@ -81,8 +90,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends},
- psi-plus-webkit (=${binary:Version})
+Depends: psi-plus-webkit (=${binary:Version}), ${misc:Depends}
 Description: Qt-based XMPP/Jabber client (WebKit version) [debug symbols]
  This package contains the debugging symbols for WebKit version of Psi+.
  .
@@ -114,10 +122,11 @@
 
 Package: psi-plus-plugins
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
- psi-plus (=${binary:Version}) | psi-plus-webkit (=${binary:Version})
-Replaces: psi-plus-content-downloader, psi-plus-content-download
-Conflicts: psi-plus-content-downloader, psi-plus-content-download
+Depends: psi-plus (=${binary:Version}) | psi-plus-webkit (=${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Replaces: psi-plus-content-download, psi-plus-content-downloader
+Conflicts: psi-plus-content-download, psi-plus-content-downloader
 Description: plugins for Psi+
  This package contains plugins for Psi+.
  .
@@ -135,8 +144,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends},
- psi-plus-plugins (=${binary:Version})
+Depends: psi-plus-plugins (=${binary:Version}), ${misc:Depends}
 Description: plugins for Psi+ [debug symbols]
  This package contains the debugging symbols for Psi+ plugins.
  .
@@ -152,9 +160,7 @@
 
 Package: psi-plus-skins
 Architecture: all
-Depends: ${misc:Depends},
- psi-plus | psi-plus-webkit,
- psi-plus-plugins
+Depends: psi-plus | psi-plus-webkit, psi-plus-plugins, ${misc:Depends}
 Description: skins for Psi+
  This package contains skins for Psi+.
  .
@@ -170,8 +176,7 @@
 
 Package: psi-plus-sounds
 Architecture: all
-Depends: ${misc:Depends},
- psi-plus | psi-plus-webkit
+Depends: psi-plus | psi-plus-webkit, ${misc:Depends}
 Description: sound files for Psi+
  This package contains sound files for Psi+.
  .

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,11 @@
          "QMAKE_LFLAGS += $(Q_LDFLAGS)"
 
 PACKAGE = psi-plus
-DEVELOPER = tehnick
-PROJECT = psi-plus
 
-CUR_VER = $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
+DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
+USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
+CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
+CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
 
 QMAKE=qmake-qt4
 QCONF=qt-qconf
@@ -56,8 +57,6 @@
 
 override_dh_install:
 	dh_install
-	# Deleting exported plugins
-	rm $(CURDIR)/debian/psi-plus-plugins/usr/lib/psi-plus/plugins/libcontentdownloaderplugin.so
 	# Exporting all from psi-plus-common
 	./debian/mergedups.sh
 	# Deleting extra copy of sound files
@@ -89,13 +88,4 @@
 	dh_strip --remaining-packages
 
 get-orig-source:
-	# preparation
-	rm -rf "$(PACKAGE)-$(CUR_VER)" "$(CUR_VER)"
-	# sources
-	wget -4 "https://codeload.github.com/$(DEVELOPER)/$(PROJECT)/tar.gz/$(CUR_VER)"
-	rm -rf $(PROJECT)-*
-	tar xzf "$(CUR_VER)"
-	# tarball
-	tar -cJf "$(PACKAGE)_$(CUR_VER).orig.tar.xz" "$(PACKAGE)-$(CUR_VER)"
-	# cleaning
-	rm -rf "$(PACKAGE)-$(CUR_VER)" "$(CUR_VER)"
+	wget -c4 "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.gz"
